com.h3c.sdn.api

## Enum DataSize

- java.lang.Object
- - java.lang.Enum<DataSize>
  - - com.h3c.sdn.api.DataSize

- All Implemented Interfaces:
    Serializable, Comparable<DataSize>

      public enum DataSize
      extends Enum<DataSize>

  Data size.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTIRE` The data represents the entire set
    `PARTIAL` The data is only a part of the entire set

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataSize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTIRE

          public static final DataSize ENTIRE

      The data represents the entire set

    - #### PARTIAL

          public static final DataSize PARTIAL

      The data is only a part of the entire set

  - ### Method Detail

    - #### values

          public static DataSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSize c : DataSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataSize valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.